/*
 * File:		io.c
 * Purpose:		Serial Input/Output routines
 *
 * Notes:       TERMINAL_PORT defined in <board>.h
 */

#include "common.h"
#include "uart.h"

/********************************************************************/
char
in_char (void)
{

  if (TERM_PORT_NUM == 0)
    return uart_getchar(UART0_BASE_PTR);
  else if (TERM_PORT_NUM == 1)
    return uart_getchar(UART1_BASE_PTR);
  else if (TERM_PORT_NUM == 2)
    return uart_getchar(UART2_BASE_PTR);
  else if (TERM_PORT_NUM == 3)
    return uart_getchar(UART3_BASE_PTR);
  else if (TERM_PORT_NUM == 4)
      return lpuart_getchar(LPUART0_BASE_PTR);
  return 0;
}
/********************************************************************/
void
out_char (char ch)
{
  if (TERM_PORT_NUM == 0)
    uart_putchar(UART0_BASE_PTR, ch);
  else if (TERM_PORT_NUM == 1)
    uart_putchar(UART1_BASE_PTR, ch);
  else if (TERM_PORT_NUM == 2)
    uart_putchar(UART2_BASE_PTR, ch);
  else if (TERM_PORT_NUM == 3)
    uart_putchar(UART3_BASE_PTR, ch);
  else if (TERM_PORT_NUM == 4)
    lpuart_putchar(LPUART0_BASE_PTR, ch);
  
}

/********************************************************************/
int
char_present (void)
{
#if (defined (CPU_MKL46Z256VMC4))
  if (TERM_PORT_NUM == 0)
    return uart0_getchar_present(UART0_BASE_PTR);
  else if (TERM_PORT_NUM == 1)
    return uart_getchar_present(UART1_BASE_PTR);
  else
    return uart_getchar_present(UART2_BASE_PTR);
#endif 
#if (defined (CPU_MKL43Z256VMC4)) 
  if (TERM_PORT_NUM == 0)
    return lpuart_getchar_present(LPUART0_BASE_PTR);
  else if (TERM_PORT_NUM == 1)
    return lpuart_getchar_present(LPUART1_BASE_PTR);
  else
    return uart_getchar_present(UART_BASE_PTR);
#endif   
  
  return 0;
}
/********************************************************************/
