/*
 * File:		uart.h
 * Purpose:     Provide common ColdFire uart routines for polled serial IO
 *
 * Notes:
 */


#include "common.h"

#ifndef __uart_H__
#define __uart_H__

/********************************************************************/

void lpuart_init (LPUART_MemMapPtr uartch, int sysclk, int baud);
void uart_init (UART_MemMapPtr uartch, int sysclk, int baud);
char uart_getchar (UART_MemMapPtr channel);
void uart_putchar (UART_MemMapPtr channel, char ch);
int uart_getchar_present (UART_MemMapPtr channel);
char lpuart_getchar (LPUART_MemMapPtr channel);
void lpuart_putchar (LPUART_MemMapPtr channel, char ch);
void lpuart_putchar (LPUART_MemMapPtr channel, char ch);
#if (defined (CPU_MKL46Z256VMC4))
  void uart0_init (UART0_MemMapPtr uartch, int sysclk, int baud);
  char uart0_getchar (UART0_MemMapPtr channel);
  void uart0_putchar (UART0_MemMapPtr channel, char ch);
  int uart0_getchar_present (UART0_MemMapPtr channel);
#endif
#if (defined (CPU_MKL43Z256VMC4))
  void lpuart_init (LPUART_MemMapPtr uartch, int sysclk, int baud);
  char lpuart_getchar (LPUART_MemMapPtr channel);
  void lpuart_putchar (LPUART_MemMapPtr channel, char ch);
  int lpuart_getchar_present (LPUART_MemMapPtr channel);
#endif

#if (defined (CPU_MKL33Z644)) 
 char lpuart_getchar (LPUART_MemMapPtr channel);
 char uart_getchar (UART_MemMapPtr channel);
void lpuart_putchar (LPUART_MemMapPtr channel, char ch);


#endif   
  
/********************************************************************/

#endif /* __uart_H__ */
